MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleFollow Public BundleGet BundleGet Public BundleUpdate Bundle Entry PermissionsUpdate BundleList BundlesUnfollow Public Bundle
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceBundles

Get Public Bundle

GET
/v1/bundles/public/{bundle_id}

Retrieve a public bundle by ID. Works for logged-out visitors (anonymous browsing context).

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

bundle_id*Bundle Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/bundles/public/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "created_at": "2019-08-24T14:15:22Z",  "entries": []}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Bundle

Previous Page

Update Bundle Entry Permissions

Next Page